Joomla 3 review – what’s new & technical requirements

In September 26th Joomla 3.0.0 was released and right now there is already version 3.0.2 available. You can download installation from Joomla official site or try Joomla 3.0 demo. Continue reading this article to learn what’s new, technical requirements and whether you should upgrade to this version.

What’s new?

Along with 34 new features and 491 tracker issues fixed, new Joomla has completely different administration panel. Better layout with integrated Bootstrap for better mobile experience. Default administration theme Isip has clean, modern look with cleverly used white-space and large input fields.

From practical side, editing an article finally focuses on article’s content, creation of menu elements is easier than 2.5 version and you can change order of articles/menus/modules by drag&drop method. So no more annoying clicking on arrows to change order.
One drawback is that administration menu shows submenu only after clicking, not just hovering.

Main improvements:

  • Incorporation of Twitter Bootstrap into a jui media package.
  • A new responsive, mobile device friendly administrator template Isis and interface.
  • A new front end template Protostar built using Twitter Bootstrap.
  • Updated accessible template Beez3.
  • A simplified 3-step installation process.
  • PostgreSQL Driver. You will be able to run Joomla 3.0 sites using the PostgreSQL database
  • Use of JFeed for feed management rather than SimplePie
  • Installation of language packages directly from the extension manager
  • Saving blank articles allowed
  • Update TinyMCE to version 3.5.6
  • Continued clean up of older unused code, files and database fields and tables and improved standardization of tables.
  • Improvements to Smart Search
  • Extensive work on code style standardization and consistency

Installation

3-step-AJAX installation, with more Sample data available. Fast&easy.
See technical requirements for Joomla 3.0 below.

Joomla 3 Technical requirements

Software Recommended Minimum
PHP (Magic Quotes GPC off) 5.3.1 + 5.3.1 +
Supported Databases:
MySQL (InnoDB support required) 5.1 + 5.1 +
MSSQL 10.50.1600.1+ 10.50.1600.1+
PostgreSQL 8.3.18 + 8.3.18 +
Supported Web Servers:
Apache
(with mod_mysql, mod_xml,
and mod_zlib)
2.x + 2.x +
Nginx 1.1 1.0
Microsoft IIS 7 7

Should you install Joomla 3?

Joomla 3.0 administration is many steps ahead Joomla 2.5, mobile users may be particularly interested. However, Joomla3 have higher technical requirements (see above), have few extensions officially supporting 3th version  and as always, some  bugs are expected. If you don’t any surprises, you might wanna stick to 2.5 for a while.

What’s gonna happen to Joomla 2.5? It will be officially maintained till Spring 2014 . So there is no rush switching to 3.x.  However, if you like experimenting or just like to try features, you should definitely try Joomla 3.0.


Deprecated: Non-static method dc_jqslicksocial::footer() should not be called statically in /var/www/digitalette.com/wp-includes/class-wp-hook.php on line 298

Notice: Undefined index: show_post in /var/www/digitalette.com/wp-content/plugins/slick-social-share-buttons/inc/dcwp_social.php on line 805